=== debian/control ===
Source: ros-iron-rosbag2-compression
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp <!nocheck>, ros-iron-rcpputils, ros-iron-rcutils, ros-iron-rosbag2-cpp, ros-iron-rosbag2-storage, ros-iron-rosbag2-test-common <!nocheck>, ros-iron-test-msgs <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rosbag2-compression
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rcpputils, ros-iron-rcutils, ros-iron-rosbag2-cpp, ros-iron-rosbag2-storage, ros-iron-ros-workspace
Description: Compression implementations for rosbag2 bags and messages.
